Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-21830

Notifications don't work with Growl 1.3

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P3: Somewhat important
    • Resolution: Done
    • Affects Version/s: 4.7.4
    • Fix Version/s: 4.8.7
    • Labels:
      None
    • Environment:
      MacOSX 10.7
    • Commits:
      6555ba030a29d995b2f53814b7999b81920fa0ce

      Description

      Growl 1.3 (available through AppStore only, not opensource anymore by the way) doesn't ship GrowlHelperApp that Qt uses (http://qt.gitorious.org/qt/qt/blobs/master/src/gui/util/qsystemtrayicon_mac.mm#line234). So, a Qt app can't use notifications if Growl is >= 1.3.

      I've been told that the Growl framework 1.2.2 (still opensource) can speak to plain old Growl and Growl 1.3.

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              sgaist Samuel Gaist
              Reporter:
              av42 A.V.
              Votes:
              2 Vote for this issue
              Watchers:
              7 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes